当前位置: 主页 > 动态资讯 > 本站公告 >

现在的老牌服务器很多都是3 - 5 年 或者是 10 年的硬件,很多都还在继续服役。

很多打算升级服务器或者不是必要的升级的时候一般都不会轻易的升级、原因涉及到的地方有很多。

今天我们说说网络公司一般托管的服务器环境吧,主流的服务器就是 win2003系统的、最近三年内win2008较多了、营口科派公司在机房的也有几台是WINSERV2012的系统服务器,目前来看win-serv 主要也就是这三个了。

使用WIN的服务器主要考虑的原因有几点吧、首先是能支持ASP/ASP.NET这个是最主要的,因为有的程序还是ASP语言的、也有.NET框架的网站需要运营、所以营口科派托管的几台机器专门留了环境给有需求的网站用户。

PHP版本

既然说到WIN,不得不说要全能环境了。

WIN IIS PHP ASP NET 都要运行,数据库的话是 ACCESS/MYSQL/MSSQL,既然有这么多的程序环境都要支持,那么兼容性就很重要,科派多年的方案就是尽量不升级服务器的软件部分,比如说PHP一直坚持用php5.2.17,因为这个版本我还要装 ZEND的支持,很多程序需要有这个支持、虽然版本的PHP不需要ZEND了,但是问题是老程序没有办法去高版本的PHP里运行了。

用了十几年的服务器了,科派推荐您:

win2003 对硬件要求不高、比较节省硬件成本
iis  方便全能环境的兼容
php5.2.17 方便新老程序兼容
zend 3.3 主要是运行老程序基于ZEND的 编译支持
mysql5.0 数据库兼容
mssql2005  数据库兼容

科派原创 -- 很多人会问2003有点老了,为什么不选择2008、或者2012,针对这个问题,科派也多次的测试过不同的系统运行我需求的全能环境,实践证明是WIN2008-WIN2012也都是在用IIS,硬件开销更大,似乎一点必要都没有了。有的人会说WINSERV2008更普及、更稳定、其实我测试过的经验来说,如果是用SERV2008那你还不如用SERV2012了,因为更好。

如果我使用IIS PHP52 MYSQ50 ZEND33 一点必要都没有了。比如说你买十碗面、吃一碗、扔9碗,当然你要是土豪飘过吧、换来的只是浪费资源了。

不得不放弃必要的升级:WIN多版本-PHP多版本、兼容更多程序才重要、有一点升级了服务器,结果发现有的程序不兼容了,竟然还要为其降级处理...痛苦啊...

可能有人会说,硬件配置低就是节省成本,这只能说是一方面吧,科派要说的是,配置低也都是 双路至强的服务器,2颗CPU,16核心、24核心、16G内存、32G内存、也大概都是这样的配置,带宽都是起步20M/50M/独享的,这样的配置其实并不低了。

放弃软件的高版本升级主要就是为了兼容更多的程序语言。

最后,营口网站建设公司提示同行们:建设企业类或者个人网站尽量使用主流的PHP语言开发吧、因为linux和Nginx这的太强悍了、唯一的缺点就是不能执行ASP/.NET。


系统没有什么过时不过时之说、只要适合自己的就行了,不要太苛刻、要求高版本的软件和硬件,兼容自己的软件程序更重要。




(责任编辑:科派云)

关键词: -PHP seo 网站建设 维护 服务器 网站排名 升级 兼容 WIN php 要的 不得不 更多 版本 放弃

上一篇:企业做网站的时候产品照片怎么拍、网站设计的素材怎么准备?

下一篇:您的备案信息已被变更,详情请咨询您的接入服务提供商